Subject: Re: [PATCH]sk98lin ethtool support

From: Mirko Lindner <[email-masked]>
Date: Wed, 31 Dec 2003 01:37:22 +0000

Jeff,

> Well, understood, but we don't need vendor-specific, non-standard 
> statistics when there is a standard method to export these statistics 
> (ETHTOOl_GSTATS).

I agree with you.

> Make sure you don't duplicate any ethtool functions.  We don't need a 
> NIC-specific diag tool either ;-)  ethtool is the preferred method 
> moving forward, as it's already shipping in most Linux distros.

Yes, we need it ;) No kidding! This is not a tool for SW checks like 
media, link or driver version checks, but a tool for HW checks like 
register, PROM, MAC, PHY and some other chip and card checks. The 
ethtool is a great tool, but the intention of this tool is not the same.

Mirko